﻿body {
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif!important;
}
/* Navbar Container */
.navbar {
  color: white;
  position: fixed!important;
  width: 100%;
  z-index: 1000;
  padding:1.3rem 0!important;
  background: transparent;

}

.gotop{
  transform: translateY(-100%);
  transition: 
    transform 0.4s ease,
    background-color 0.4s ease,
    box-shadow 0.4s ease;
}

.navbar.scrolled {
  background-color: #ffffff; /* or your brand color */
  box-shadow: 0 2px 10px rgba(0,0,0,0.08);
  padding:0.8rem 0!important;
  transform: translateY(0px);
  color:#000!important;
}

.navbar.scrolled li a {
  color: #000 !important;
}
.navbar.scrolled li:hover a {
  color:#F4B400!important;
}

/* Logo */
.logo a {
  color: black;
  font-size: 1.5rem;
  font-weight: bold;
  text-decoration: none;
  letter-spacing: 1px;
}

/* Menu Links */
.nav-menu ul {
  list-style: none;
  display: flex;
  gap: 30px;
  margin-bottom:0;
}

.nav-menu a {
  color: #fff;
  text-decoration: none;
  font-size: 1rem;
  transition: color 0.3s ease;
}

.nav-menu a:hover,
.nav-menu a.active {
  color: #F4B400;
}

/* Button */
.butn {
  background: #25D366;
  color: #fff;
  padding: 8px 16px;
  border-radius: 25px;
  font-weight: 500;
  text-decoration: none;
  transition: background 0.3s ease;
}

.butn:hover {
  background: #222;
}

/* Mobile Menu Toggle */
.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;
}

.menu-toggle span {
  width: 25px;
  height: 3px;
  background: black;
  transition: 0.3s;
}
.rightside{
    display:flex;
    column-gap:30px;
    align-items:center;
}
.rightside a{
    font-weight:400;
}
.logo img{
    max-width:200px;
    width: 10vw;
    height:auto;
    border-radius: 20px;
	box-shadow: 0 0 3px #25d366, 0 0 3px #004018 !important;
}

/* Responsive Styles */
@media (max-width: 768px) {
   
  .nav-menu {
    position: fixed;
    top: 70px;
    right: 0;
    flex-direction: column;
    width: 50%;
    height:50vh;
    padding: 20px;
    background-color:black;
    border-radius:15px;
    transform: translateX(100%); 
    transition: transform 350ms cubic-bezier(.2,.8,.2,1);
    will-change: transform;
    z-index: 999; 
  }
  .nav-menu .active{
      color:#ffd633!important;
  }
  .nav-menu a{
      color:white;
  }

  .nav-menu ul {
    flex-direction: column;
    gap: 20px;
  }
 

  .nav-menu.show {
    transform: translateX(0); 
  }

  .menu-toggle {
    display: flex;
  }

   .rightside{
    flex-direction: column;
    justify-content:center;
    align-items:center;
    gap: 15px; 
}
   .btn-primary {
  background: #fff;
  color:black!important;
}
  .rightside ul{
     display:flex;
     flex-direction:column;
     justify-content:center;
     align-items:flex-start;
   }
  .navbar.scrolled li a {
  color: #fff !important;
}
  .logo img {
  max-width: 200px;
  width: 35vw;
  height: auto;
  border-radius: 20px;
}
 }  

/*Hero Section*/
.hero-content{
    position:relative;
}
.hero-content img{
    width:100%;
    height:100%;
    object-fit:cover;
    display: block;
}
.hero-content:before{
   content: "";
   position: absolute;
   background:black;
   top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  z-index: 1;
}
.hero-text {
  max-width:60vw;
  position: absolute;
  z-index: 2;
  color: #ffffff;
  top: 40%;
  left: 10%;
}
.hero-text h2{
 font-size:3.8rem;
 line-height:1.4;
}

@media(max-width:768px){
  .hero-content {
  position: relative;
  width: 100vw;
  height: 50vh;
}
  .hero-text {
  max-width: 85vw;
  position: absolute;
  z-index: 2;
  color: #ffffff;
  top: 30%;
  left: 8%;
}
  .hero-text h2 {
  font-size: 2.2rem;
  line-height: 1.4;
}
}


/*welcome Section*/
.welcome-section {
  padding: 80px 0;
  background-color: #F8FAFC;
}

.welcome-section h2 {
  font-size: 32px;
  font-weight: 500;
  color: #1CCF5F;
  margin-bottom: 16px;
}

.welcome-section p {
  max-width: 1000px;
  font-size: 16px;
  line-height: 1.7;
  color: #5E5E5E;
}
mark {
  padding: 0.05rem!important;
  color: var(--bs-highlight-color);
  background-color: #F9C4376B !important;
}

/*About Section*/
.about-sec{
    background:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url('../img/eco2.jpeg') no-repeat center/cover;
    color:#fff;
    padding:30px;
    line-height:1.5;
}
.about-sec h2{
  text-align:center;
  padding:10px 0;
  color:#1CCF5F
}

/*What we Section */
.solutions-section {
  padding: 60px 0;
  background: #1ccf510d;
}

.section-title {
  text-align: center;
  font-size: 2.2rem;
  font-weight: 600;
  color: #1CCF5F;
}

.section-subtitle {
  text-align: center;
  max-width: 680px;
  margin: 12px auto 50px;
  color: #57585A;
}

.solutions-grid {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 15px;
}

.solution-card {
  padding: 15px;
  border-radius: 12px;
  box-shadow: 0 8px 24px rgba(0,0,0,0.05);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}
.card1{
  background:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url('../img/eco2.jpeg') no-repeat center/cover;

}
.card2{
  background:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url('../img/eco1.png') no-repeat center/cover;

}
.card3{
  background:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url('../img/eco3.jpg') no-repeat center/cover;

}
.card4{
  background:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url('../img/eco4.jpg') no-repeat center/cover;

}
.card5{
  background:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url('../img/eco1.png') no-repeat center/cover;

}

.solution-card:hover {
  transform: translateY(-6px);
  box-shadow: 0 12px 32px rgba(0,0,0,0.08);
}

.solution-card h4 {
  margin-bottom: 10px;
  font-size: 1.1rem;
  color: #F4B400;
}

.solution-card p {
  margin: 0;
  font-size: 0.9rem;
  color: #fff;
  line-height: 1.5;
}
@media(max-width:768px){
 .solutions-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 15px;
}
 .solution-card h4 {
  margin-bottom: 10px;
  font-size: 1.3rem;
  color: #F4B400;
}
}

/*Mission vision section*/
.mission-vision {
  padding: 60px 0;
  background: #F8FAFC;
}

.mv-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 25px;
}

.mv-box {
  display:flex;
  align-items:center;
  gap:20px;
  background: #F7EDD2DE;
  padding: 20px;
  border-radius: 12px;
  border-radius:80px;
  transition: all 0.3s ease;
}
.mv-box:hover{
  transform:scale(1.1);
  box-shadow: 0 3px 3px rgba(0,0,0,0.06);
}

.mv-box i {
  font-size: 34px;
  color: #F4B400;
  margin-bottom: 15px;
}

.mv-box h3 {
  font-size: 1.5rem;
  color: #1F2933;
}

.mv-box p {
  font-size: 15px;
  color: #6B7280;
  margin-bottom:0;
  line-height: 1.6;
}

@media(max-width:768px){
  .mv-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 25px;
}
}

/*Why choose Section*/
.why-sec{
   background:linear-gradient(rgba(255,255,255,0.7),rgba(255,255,255,0.7)), url('../img/eco4.jpg') no-repeat center/cover;
   background-attachment:fixed;
}
.why-sec h2{
 padding: 30px 0;
 color:#333;
}
.why-grid{
 display:grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}
.why-grid .box{
 padding:15px;
 width:100%;
 background:#111;
 border-radius: 12px;
 box-shadow: 0 8px 24px rgba(37, 211, 102,0.1);
 transition:all 0.3s ease;
 text-align:center;
}
.why-grid .box:hover{
 transform:scale(1.1);
 box-shadow: 0 8px 24px rgba(37, 211, 102,0.2);
}
.why-grid .box i{
color:#1565C0;
font-size:30px;
}
.box p {
    margin-bottom:0;
    color:#e5e4e4;
}
.box h4 {
 color:#F4B400;
 font-size:1.3rem;

}
@media(max-width:768px){
  .why-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 20px;
}
}


/*connect section*/
.connect{
    background:rgba(37, 211, 102, 0.13);

}
.connect-content{
    background:#fff; 
    display:flex;
    justify-content:center;
    align-items:center;
    gap:10px;
    padding:25px 30px;   
    border-radius:100px;
}
.midline{
    width:3px;
    height:10vw;
    background-color:#333;
}
@media(max-width:768px){
 .connect-content {
  display: flex;
  padding: 25px 30px;
  border-radius: 60px;
  flex-direction: column;
  text-align:start;
}
 .midline {
  width: 60vw;
  height: 2px;
  background-color: rgb(51, 51, 51);
}
}


/*breadcrumb section*/
  .breadcrumb-section {
     background: linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.5)), url('../img/eco4.jpg') no-repeat center/cover;
     background-position-y:60%;
   }

  .detail {
     background-color: rgb(179, 58, 44) !important;
    }

     .midtext{
      font-weight:500!important;  
  }
   .breadcrumb-item + .breadcrumb-item::before {
  color:#fff!important;
}


   /*Contact Page*/
   .contact-content{
       display:flex;
   }

   .contact-left {
    flex: 1;
    min-width: 280px;
}

.contact-left h2 {
    font-size: 28px;
    color: #0A3A4A;
    margin-bottom: 15px;
}

.contact-left p {
    font-size: 16px;
    color: #444;
    margin-bottom: 10px;
    display: flex;
    align-items: center;
    gap: 8px;
}

.contact-left p i {
    color: #25D366;
    font-size: 18px;
}

/* LINKS */
.contact-left a {
    color: #444;
    text-decoration: none;
}

.contact-left a:hover {
    color: #0A3A4A;
}

/* SOCIAL ICONS */
.social-icons {
    margin-top: 10px;
}

.social-icons a {
    font-size: 20px;
    margin-right: 15px;
    color: #25D366;
    transition: 0.3s;
}

.social-icons a:hover {
    color: #0A3A4A;
}
.contact-right {
    flex: 1;
    min-width: 320px;
}

/* FORM STYLING */
.contact-home .contact-form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.contact-home .contact-form input,
.contact-home .contact-form textarea {
    width: 100%;
    padding: 12px 14px !important;    
    border: 1px solid #ccc !important;
    border-radius: 8px !important;    
    font-size: 15px;
    background: #fff;
    outline: none !important;
}

/* BUTTON */
.contact-home .contact-form button {
    width: 100%;
    background: #25D366!important; 
    color: #fff !important;        
    padding: 12px 20px !important; 
    border: none !important;       
    border-radius: 8px !important; 
    cursor: pointer;
    font-size: 16px;
    transition: 0.3s;
}

/* BUTTON HOVER */
.contact-home .contact-form button:hover {
    background: rgb(28, 172, 82) !important;
}

@media(max-width:768px){
   .contact-content{
       display:flex;
       flex-direction:column;
   }
  .contact-left{
      text-align:center;
  }
    .contact-left p {
  justify-content:center;
}
}


/*Footer Section*/
.footer-section a:hover {
  color: #ffd633;
  text-decoration: underline;
}

.footer-section ul li {
  margin-bottom: 10px;
}

.footer-section hr {
  opacity: 0.2;
}
@media(max-width:768px){
    footer-section{
        text-align:center;
    }
}
